Bug 1318087 - Bridge interface creation creates entry in /proc/self/mounts
Summary: Bridge interface creation creates entry in /proc/self/mounts
Keywords:
Status: CLOSED DUPLICATE of bug 1314610
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: net-snmp
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: pre-dev-freeze
: ---
Assignee: Josef Ridky
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-16 02:47 UTC by Shinobu KINJO
Modified: 2016-10-05 19:33 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-05 19:33:17 UTC


Attachments (Terms of Use)

Description Shinobu KINJO 2016-03-16 02:47:59 UTC
Description of problem:

When bridge interface is being created, the process makes entry in
::/proc/self/mounts::

###########
## Entry ##
###########
proc net:[4026532264] proc rw,nosuid,nodev,noexec,relatime 0 0
proc net:[4026532264] proc rw,nosuid,nodev,noexec,relatime 0 0


To be more clear, when undercloud deployment is in progress, bridge
interface(br-ctlplane) is created.

Deployment begin with ::openstack undercloud install:: as usual.
The following is log during this creation process.

###################################
## Log during Deployment Process ##
###################################
[2016/03/15 03:13:17 AM] [WARNING] DEPRECATED: falling back to /var/run/os-collect-config/os_config_files.json
+ NETWORK_GATEWAY=11.168.0.1
+ METADATA_SERVER=11.168.0.1
+ PHYSICAL_NETWORK=ctlplane
+ net_create=1
++ neutron net-list -f csv -c id -c name --quote none
++ grep ctlplane
++ tail -n +2
++ cut -d, -f 1
+ ctlplane_id=
++ neutron subnet-list -f csv -c id --quote none
++ tail -n +2
+ subnet_ids=
+ subnet_id=
+ '[' -n '' ']'
+ '[' 1 -eq 1 ']'
+ neutron subnet-list
+ grep start
+ neutron net-show ctlplane
Unable to find network with name 'ctlplane'
++ mktemp
+ NETWORK_JSON=/tmp/tmp.EN3SG3pUjJ
+ NETWORK_JSON_DATA='{"physical":{}}'
++ jq '.physical = .physical + {
        "gateway": "11.168.0.1",
        "metadata_server": "11.168.0.1",
        "cidr": "11.168.0.0/24",
        "allocation_start": "11.168.0.5",
        "allocation_end": "11.168.0.24",
        "name": "ctlplane",
    }'
+ NETWORK_JSON_DATA='{
  "physical": {
    "gateway": "11.168.0.1",
    "metadata_server": "11.168.0.1",
    "cidr": "11.168.0.0/24",
    "allocation_start": "11.168.0.5",
    "allocation_end": "11.168.0.24",
    "name": "ctlplane"
  }
}'


Just after showing this log, above ::Entry:: appear to me.

Same ::Entry:: is created when using ::packstack::
This ::Entry:: has ::SNMPd:: log the following message 
periodically in ::syslog:: except OSP6.

It's because SNMPd is not active in OSP6.

This message never stops because there is ::Entry:: always
but ::statfs:: can not find any mount point which suggested by 
::Entry::

####################################
## Log Entry in /var/log/messages ##
####################################
Mar 15 21:37:06 osp7-director snmpd[1005]: Cannot statfs net:[4026532264]#012: No such file or directory


If the ::Entry:: is not necessary, it's better to get rid of it, 
or log message more appropriately.

If I've been missing anything, please point it out to me.

Version-Release number of selected component (if applicable):
openstack-neutron-openvswitch-2015.1.2-6.el7ost.noarch
 and
openstack-neutron-openvswitch-2015.1.2-9.el7ost.noarch

openvswitch-2.4.0-1.el7.x86_64
python-openvswitch-2.4.0-1.el7.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 5 Karel Srot 2016-10-05 16:48:10 UTC
Can we close is as a duplicate of bug 1314610, AFAIK bug 1314610 is public.


Note You need to log in before you can comment on or make changes to this bug.